.navbar {
    box-shadow: 0 2px 6px rgba(100, 100, 100, .15)
}

#EntryTag {
    margin-top: 20px;
    font-size: 9pt;
    color: #808080
}

.topicListFooter {
    text-align: right;
    margin-right: 10px;
    margin-top: 10px
}

#divRefreshComments {
    text-align: right;
    margin-right: 10px;
    margin-bottom: 5px;
    font-size: 9pt
}

* {
    margin: 0;
    padding: 0
}

html {
    height: 100%
}

body {
    color: #000;
    background-color: #e6e6e6;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Georgia", "Sitka Text", "Noto Serif CJK SC", "Microsoft YaHei", Arial, Helvetica, sans-serif;
    font-size: 12px;
    min-height: 101%
}

table {
    border-collapse: collapse;
    border-spacing: 0
}

fieldset,
img {
    border: 0
}

li {
    list-style: none
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: 100%;
    font-weight: normal
}

a {
    outline: none;
    color: #21759b
}

a:link {
    color: #000;
    text-decoration: none
}

a:visited {
    color: #000;
    text-decoration: none
}

a:hover {
    color: #21759b
}

a:active {
    color: #000;
    text-decoration: none
}

.clear {
    clear: both
}

#home {
    border-radius: 10px;
    width: 950px;
    background-color: #fff;
    padding: 30px;
    margin: 50px auto;
    box-shadow: 0 2px 15px rgba(100, 100, 100, .3)
}

/* 为了让 home 底部的 margin-bottom 显示正常 */
#page_end_html {
    min-height: 1px;
}

#header {
    padding-bottom: 5px;
    margin-top: 10px;
    margin-left: 50px;
}

#blogTitle {
    height: 60px;
    clear: both
}

#blogTitle h1 {
    font-size: 26px;
    font-weight: bold;
    line-height: 1.5em;
    margin-top: 20px
}

#blogTitle h1 a {
    color: #515151
}

#blogTitle h1 a:hover {
    color: #21759b
}

#blogTitle h2 {
    font-weight: normal;
    font-size: 13px;
    font-size: .928571429rem;
    line-height: 1.846153846;
    color: #757575;
    float: left
}

#navigator {
    font-size: 13px;
    border-bottom: 1px solid #ededed;
    border-top: 1px solid #ededed;
    height: 50px;
    clear: both;
    margin-top: 25px
}

#navList {
    min-height: 30px;
    float: left
}

#navList li {
    float: left;
}

#navList a {
    display: block;
    float: left;
    text-align: center;
}

#navList a:link,
#navList a:visited,
#navList a:active {
    color: #6a6a6a;
    font-weight: bold
}

#navList a:hover {
    color: #000;
    text-decoration: none
}

#navList>li:hover ul {
    display: block;
}

ul#navList {
    width: 92%;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    margin-top: 10px;
    margin-bottom: 25px;
}

#navList>li {
    margin: 15px 15px;
    position: relative;
}

#navList a {
    height: auto;
    width: auto;
    padding: 0;
    font-size: 13.5px;
}

#main {
    width: 116%;
    text-align: left;
    margin: 60px 0 0 0;
}

#mainContent .forFlow {
    margin-left: 22em;
    float: none;
    width: auto;
}

#mainContent {
    width: 100%;
    margin-left: -212px;
    margin-top: 10px;
}

.day {
    min-height: 10px;
    _height: 10px;
    margin-bottom: 20px;
    padding-bottom: 5px;
    position: relative
}

.dayTitle {
    display: none;
    border: 1px solid #21759b;
    background: #f0ffff;
    border-radius: 50%;
    font-size: 12px;
    height: 65px;
    line-height: 1.5;
    margin: 15px;
    text-align: center;
    width: 63px;
    margin-left: -100px;
    clear: both;
    position: absolute;
    top: -15px
}

.dayTitle a {
    display: inline-block;
    color: #21759b;
    margin-top: 15px;
    width: 60px
}

.postTitle {
    border-left: 3px solid #21759b;
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both
}

.postTitle a:link,
.postTitle a:visited,
.postTitle a:active {
    color: #21759b;
    transition: all .4s linear 0s
}

.postTitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none
}

.postCon {
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
    padding: 10px 0
}

.day .postTitle a {
    padding-left: 10px
}

.postDesc {
    font-size: 13px;
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: #757575;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;
    padding-left: 20px;
    padding-right: 5px;
    margin-top: 20px;
    line-height: 1.5
}

.postDesc a:link,
.postDesc a:visited,
.postDesc a:active {
    color: #666
}

.postDesc a:hover {
    color: #21759b;
    text-decoration: none
}

.postSeparator {
    clear: both;
    height: 1px;
    width: 100%;
    clear: both;
    float: right;
    margin: 0 auto 15px auto
}

.div_my_zzk {
    width: 175px;
    position: relative;
    margin-top: 10px
}

#btnZzk {
    background: url("images/blog_search.png") no-repeat 5px 5px
}

#widget_my_google input[type=button] {
    background: url("images/google_search.png") no-repeat 5px 5px
}

.input_my_zzk {
    border: 1px solid #ccc;
    width: 100%;
    height: 25px;
    padding-right: 30px;
    padding-left: 5px;
    outline: 0
}

.btn_my_zzk {
    font-size: 12px;
    width: 25px;
    height: 25px;
    color: transparent;
    border: 0;
    border-style: none;
    cursor: pointer;
    top: 1px;
    position: absolute;
    right: -35px
}

.input_my_zzk:hover {
    border: 1px solid #21759b;
    transition: all .4s linear 0s
}

.input_my_zzk:focus {
    border: 1px solid #21759b
}

.newsItem,
.catListEssay,
.catListLink,
.catListNoteBook,
.catListTag,
.catListPostCategory,
.catListPostArchive,
.catListImageCategory,
.catListArticleArchive,
.catListView,
.catListFeedback,
.mySearch,
.catListComment,
.catListBlogRank,
.catList,
.catListArticleCategory {
    background: #fff;
    margin-bottom: 35px;
    word-wrap: break-word
}

#blog-calendar {
    width: 228px;
    padding-bottom: 5px;
    margin-bottom: 35px;
    box-shadow: 0 1px 3px #ccc;
    border: 1px solid #ededed
}

#blog-calendar td {
    font-size: 12px;
    font-family: "Comic Sans MS"
}

#blog-calendar th {
    font-size: 12px
}

#calendar {
    width: 228px;
    padding-bottom: 5px;
    margin-bottom: 35px;
    border: 1px solid #ededed;
    box-shadow: 0 1px 3px #ccc
}

#calendar .Cal {
    width: 100%;
    line-height: 1.5em
}

#calendar td {
    font-family: "Comic Sans MS";
    background: #fff;
    padding-top: 2px
}

.Cal {
    border: none;
    color: #666
}

#calendar table a:link,
#calendar table a:visited,
#calendar table a:active {
    font-weight: bold
}

#calendar table a:hover {
    color: #fff;
    text-decoration: none
}

.CalTodayDay {
    background: #3671a5 !important;
    color: #fff;
    font-weight: bold
}

.CalWeekendDay {
    padding-top: 4px;
    padding-bottom: 4px
}

.CalOtherMonthDay {
    color: #ccc;
    padding-top: 4px;
    padding-bottom: 4px
}

#calendar .CalNextPrev a:link,
#calendar .CalNextPrev a:visited,
#calendar .CalNextPrev a:active {
    font-weight: bold;
    padding-left: 10px;
    padding-right: 15px
}

.CalDayHeader {
    background: #f8f8f8;
    font-weight: 100;
    color: #5e5f63
}

.CalTitle {
    background: #6293bb;
    width: 100%;
    height: 25px;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
    padding: 5px 0;
    color: #fff
}

.CalTitle td {
    background: #f8f8f8 !important;
    border: 0 !important;
    color: #5e5f63;
    font-family: "Comic Sans MS"
}

.catListTitle {
    font-weight: bold;
    line-height: 1.2;
    font-size: 110%;
    margin-top: 15px;
    margin-bottom: 10px;
    text-align: left
}

.catListComment {
    line-height: 1.5em
}

.divRecentComment {
    text-indent: 2em;
    color: #494949;
    margin-bottom: 20px
}

#sideBarMain ul {
    line-height: 1.5em
}

#sideBarMain li {
    line-height: 1.8
}

#topics {
    width: 100%;
    min-height: 200px;
    padding: 0 0 10px 0;
    float: left;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden
}

#topics .postTitle {
    border: 0;
    font-size: 130%;
    font-weight: bold;
    float: left;
    line-height: 1.5;
    width: 100%;
    padding-left: 5px
}

#EntryTag {
    color: #666
}

#EntryTag a {
    margin-left: 5px;
    height: 20px;
    line-height: 20px;
    color: #333;
    padding: 3px 14px;
    border-radius: 10px;
    margin: 2px 5px 0;
    background: #e7e7e7;
    text-decoration: none
}

#EntryTag a:link,
#EntryTag a:visited,
#EntryTag a:active {
    color: #666
}

#EntryTag a:hover {
    color: #f5f5f5;
    background: #21759b;
    transition: all .4s linear 0s
}

#BlogPostCategory {
    color: #666
}

#BlogPostCategory a {
    margin-left: 5px;
    height: 20px;
    line-height: 20px;
    color: #333;
    padding: 3px 14px;
    border-radius: 10px;
    margin: 2px 5px 0;
    background: #e7e7e7;
    text-decoration: none
}

#BlogPostCategory a:link,
#BlogPostCategory a:visited,
#BlogPostCategory a:active {
    color: #666
}

#BlogPostCategory a:hover {
    color: #f5f5f5;
    background: #21759b
}

#topics .postDesc {
    padding-left: 0;
    width: 100%;
    text-align: left;
    color: #666;
    margin-top: 5px;
    background: none
}

.feedback_area_title {
    font: normal normal 16px/35px "Microsoft YaHei";
    margin: 10px 0 30px;
    border-bottom: 2px solid #ccc
}

.louzhu {
    /*background:transparent url('/images/icoLouZhu.gif') no-repeat scroll right top;*/
    /*padding-right:16px;*/
}

.feedbackListSubtitle a:link,
.feedbackListSubtitle a:visited,
.feedbackListSubtitle a:active {
    color: #21759b;
    font-weight: bold
}

.feedbackListSubtitle a:hover {
    color: #21759b;
    text-decoration: underline
}

.feedbackListSubtitle b {
    color: #21759b
}

.feedbackManage {
    width: 200px;
    text-align: right;
    float: right
}

#divRefreshComments {
    text-align: right;
    margin-bottom: 10px
}

.commenttb {
    padding: 8px;
    margin-bottom: 10px;
    width: 50%;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    width: 320px
}

.commenttb:hover {
    color: #333;
    border-color: rgba(82, 168, 236, .8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    transition: all .4s linear 0s
}

.commentTextBox {
    width: 410px !important;
    margin-top: 10px;
    margin-bottom: 10px
}

.commentTextBox:hover {
    color: #333;
    border-color: rgba(82, 168, 236, .8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    transition: all .4s linear 0s
}

#AjaxHolder_PostComment_btnSubmit {
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    transition: all .4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none
}

#AjaxHolder_PostComment_btnSubmit:hover {
    background: #333
}

#AjaxHolder_PostComment_divCommnentArea tr {
    margin-top: 10px;
    margin-bottom: 10px
}

.comment_vote {
    padding-right: 10px
}

.comment_vote a {
    color: #999
}

.comment_vote a:hover {
    color: #21759b
}

#commentform_title {
    font: normal normal 16px/35px "Microsoft YaHei";
    margin: 10px 0 30px;
    border-bottom: 2px solid #ccc;
    background-image: none;
    padding: 0
}

#comment_form_container .author {
    padding-left: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    width: 320px;
    height: 20px;
    background-image: none
}

#comment_form_container p {
    font-size: 14px;
    margin-bottom: 20px
}

.commentbox_title_left {
    font-size: 14px
}

.commentbox_title_right {
    float: left
}

#comment_form_container .comment_textarea {
    min-height: 200px;
    font-size: 13px;
    margin-bottom: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px
}

#comment_form_container .comment_textarea:hover {
    border-color: rgba(82, 168, 236, .8);
    outline: 0;
    transition: all .4s linear 0s
}

#comment_form_container .comment_textarea:focus {
    outline: 0
}

.comment_btn {
    width: 100px;
    height: 38px;
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    transition: all .4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none
}

.comment_btn:hover {
    background: #333
}

.entrylistTitle,
.PostListTitle,
.thumbTitle {
    margin-bottom: 25px;
    height: 38px;
    line-height: 38px;
    font-size: 16px;
    border-bottom: 2px solid #e6e6e6;
    color: #21759b
}

.entrylistDescription {
    color: #666;
    font-size: 15px;
    padding-top: 5px;
    padding-bottom: 10px;
    padding-right: 10px;
    margin-bottom: 10px;
}

.entrylistItem {
    min-height: 20px;
    _height: 20px;
    margin-bottom: 30px;
    padding-bottom: 50px;
    padding-top: 10px;
    width: 100%
}

.entrylistPosttitle {
    padding-left: 15px;
    margin-bottom: 10px;
    border-left: 3px solid #21759b;
    font-size: 20px;
    width: 100%
}

.entrylistPosttitle a:link,
.entrylistPosttitle a:visited,
.entrylistPosttitle a:active {
    color: #21759b;
    transition: all .4s linear 0s
}

.entrylistPosttitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none
}

.entrylistPostSummary {
    margin-top: 5px;
    margin-bottom: 5px
}

.entrylistItemPostDesc {
    margin-top: 20px;
    text-align: left;
    color: #757575;
    padding-left: 5px
}

.entrylistItemPostDesc a:link,
.entrylistItemPostDesc a:visited,
.entrylistItemPostDesc a:active {
    color: #666
}

.entrylistItemPostDesc a:hover {
    color: #21759b
}

.entrylist .postSeparator {
    clear: both;
    width: 100%;
    font-size: 0;
    line-height: 0;
    margin: 0;
    padding: 0;
    height: 0;
    border: none
}

.divRecentCommentAticle a {
    color: #000
}

.pager {
    text-align: right;
    margin-right: 10px
}

.pager a {
    box-shadow: 0 1px 3px #3671a5;
    border: 1px solid #3671a5;
    background: #3671a5;
    color: #fff;
    transition: all .4s linear 0s
}

.pager a:hover {
    background: #000
}

.PostList {
    border-bottom: 1px solid #ccc;
    clear: both;
    min-height: 1.5em;
    _height: 1.5em;
    padding-top: 20px;
    margin-bottom: 20px;
    padding-bottom: 20px
}

.postTitl2 {
    float: left;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 14px
}

.postDesc2 {
    color: #666;
    float: right
}

.postText2 {
    clear: both;
    color: #757575
}

.pfl_feedback_area_title {
    text-align: right;
    line-height: 1.5em;
    font-weight: bold;
    margin-bottom: 10px
}

.pfl_feedbackItem {
    border: 1px dashed #ccc;
    padding: 10px;
    border-radius: 3px;
    margin-bottom: 20px
}

.pfl_feedbacksubtitle {
    width: 100%;
    height: 1.5em
}

.pfl_feedbackname {
    float: left
}

.pfl_feedbackname a {
    color: #21759b;
    font-weight: bold
}

.pfl_feedbackManage {
    float: right
}

.pfl_feedbackCon {
    color: #000;
    padding-top: 5px;
    padding-bottom: 5px
}

.pfl_feedbackAnswer {
    color: #f40;
    text-indent: 2em
}

.tdSentMessage {
    text-align: right
}

.errorMessage {
    width: 300px;
    float: left
}

#Profile1_panelAdd input[type=text],
#Profile1_txtContent {
    padding: 8px;
    margin-bottom: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px
}

#Profile1_panelAdd input[type=text]:hover,
#Profile1_txtContent:hover {
    color: #333;
    border-color: rgba(82, 168, 236, .8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .075), 0 0 4px rgba(82, 168, 236, .6);
    transition: all .4s linear 0s
}

#Profile1_panelAdd input[type=text]:focus,
#Profile1_txtContent:focus {
    outline: 0;
    border-color: rgba(82, 168, 236, .8)
}

#Profile1_panelAdd input[type=submit] {
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -o-transition: all .4s ease;
    -ms-transition: all .4s ease;
    transition: all .4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none
}

#Profile1_panelAdd input[type=submit]:hover {
    background: #333
}

.feedbackListSubtitle {
    clear: both;
    color: #a8a8a8;
}

.divPhoto {
    border: 1px solid #ccc;
    padding: 2px;
    margin-right: 10px
}

.thumbDescription {
    color: #757575;
    text-align: right;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
    margin-bottom: 30px
}

.personInfo {
    margin-bottom: 20px
}

.pages {
    text-align: right
}

.postBody {
    color: #000;
    line-height: 1.7;
    font-size: 14px
}

.postBody p,
.postCon p {
    text-indent: 2em;
    margin: 0 auto 1em auto
}

.postBody h2 {
    margin-top: 40px !important;
}

.postBody h4 {
    font-size: 110%;
    margin: 15px auto 2px auto;
    font-weight: bold;
    color: #333
}

.postBody h5 {
    font-size: 100%;
    margin: 15px auto 2px auto;
    font-weight: bold;
    color: #333
}

.postBody a:link,
.postBody a:visited,
.postBody a:active {
    text-decoration: underline
}

.postCon a:link,
.postCon a:visited,
.postCon a:active {
    text-decoration: underline
}

.postBody ul,
.postCon ul {
    margin-left: 2em
}

.postBody li,
.postCon li {
    list-style-type: disc;
    margin-bottom: 1em
}

.myposts_title {
    font-weight: bold;
    text-align: center
}

.c_b_p_desc {
    font-size: 14px;
    line-height: 1.7
}

#cnblogs_post_body img {
    max-width: 700px
}

#top_nav,
#bannerbar {
    display: none;
}

.feedback_area_title,
#commentform_title,
h1.entrylistTitle,
h1.thumbTitle {
    font-weight: bold;
}

h1.entrylistTitle {
    font-size: 20px;
    border: none;
}

#ViewPicture1_GalleryImage {
    max-width: 100%;
}

.feedbackItem {
    margin: 20px auto;
    border-radius: 10px;
    background: aliceblue;
    color: grey;
    padding: 20px;
}

.feedbackListSubtitle {
    margin-bottom: 10px;
    font-size: 13px;
}

.feedbackCon {
    font-size: 15px;
    line-height: 1.8;
    min-height: auto;
    margin: 0 0;
}

#comment_form_container .comment_textarea {
    width: 100%;
}

#tbCommentBody {
    min-height: 200px;
}

#blogLogo {
    float: left;
    height: 70px;
    margin-right: 20px;
}

#blogTitle {}

#blogTitle>h1 {
    line-height: 70px;
    font-family: "Chalkduster", "Segoe Script", Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-size: 30px;
    margin: 10px 20px;
    padding: 0;
}

div#navigator {
    border: none;
    height: auto;
    margin: 0;
}

.blogStats {
    display: none;
}

#sideBar {
    display: none;
}

div.day>div.postDesc a,
div.day>div.postDesc span {
    display: none;
}

div.day>div.postTitle>a.vertical-middle>* {
    vertical-align: baseline !important;
}

div.day>div.postTitle {
    box-sizing: border-box;
}

.postDesc,
.entrylistItemPostDesc {
    background: none;
    padding-left: 0px;
    margin-top: 0px;
    font-size: 13px;
}

.entrylistItem {
    padding: 0px;
}

#mainContent>.forFlow>.entrylist>.entrylistTitle {
    display: none;
}

#mainContent>.forFlow>.pager:nth-of-type(1) {
    display: none;
}

.cnblogs-markdown .hljs,
.cnblogs-post-body .hljs,
.cnblogs-markdown code,
.cnblogs-post-body code {
    border: none !important;
    font-size: 14px !important;
    white-space: pre-wrap;
    font-family: "monospace", "Menlo", "Fira Code Retina", "Cascadia Code", "Consolas", "Dejavu Sans Mono", "Courier New", "Noto Serif CJK SC", sans-serif !important;
}

.cnblogs-markdown .hljs,
.cnblogs-post-body .hljs {
    border-radius: 10px !important;
}

.cnblogs-markdown code,
.cnblogs-post-body code {
    margin: 0;
}

.postBody blockquote code,
.feedbackCon .blog_comment_body code {
    background: none !important;
}

#topics .postBody blockquote {
    border: none;
    border-left: 5px solid CornflowerBlue;
    border-radius: 5px;
    background: aliceblue;
    color: gray;
    padding-left: 30px;
    padding-right: 30px;
}

.postBody blockquote {
    min-height: 35px;
    _height: 35px;
    line-height: 1.6em;
}

#commentform_title>a {
    display: none;
}

#homepage_top_pager,
#blog_post_info,
#post_next_prev,
#ad_t2,
.under-post-card,
#HistoryToday,
.recomm-block,
.c_ad_block,
.comment_vote,
div.under-comment-nav {
    display: none;
}

#uprightsideBar {
    font-size: 17px;
    text-align: left;
    position: fixed;
    top: 150px;
    width: auto;
    height: auto;
}

#sideBarTab {
    float: left;
    width: 25px;
    border: 1px solid #ccc;
    border-radius: 6px;
    text-align: center;
    background: rgb(255, 255, 255);
}

#sideBarContents {
    float: left;
    overflow: auto;
    overflow-x: hidden !important;
    min-width: 194px;
    max-height: 500px;
    border: 1px solid #ccc;
    border-radius: 6px;
    background: #ffffff;
    padding-top: 5px;
    padding-bottom: 5px;
}

#sideBarContents dl {
    margin: 0;
    padding: 0;
}

#sideBarContents dt {
    padding: 3px 8px;
}

#sideBarContents dd,
dt {
    cursor: pointer;
}

#sideBarContents dd:hover,
dt:hover {
    color: white;
    background: #0366d6;
}

#sideBarContents dd {
    padding-left: 20px;
    padding-right: 8px;
}

#cnblogs_post_body p,
.postBody li,
.postCon li {
    font-size: 17px;
    line-height: 1.8;
    margin: 16px auto;
}

#cnblogs_post_body h2,
#topics .postTitle {
    font-size: 24px;
    padding-left: 0;
    color: #21759b;
}

#cnblogs_post_body h3 {
    font-size: 20px;
    color: #21759b;
    margin-top: 30px;
}

#cnblogs_post_body table {
    width: 100%;
    display: inline-table !important;
}

#cnblogs_post_body img {
    border-radius: 10px;
    display: block;
    margin: auto;
}

.postBody a,
.feedbackCon a {
    text-decoration: none !important;
    color: #0366d6;
}

.postBody a:hover,
.feedbackCon a:hover {
    border-bottom: 1px dashed #0366d6;
}

h1,
h2,
h3,
h4,
h5,
h6,
.postTitle>.postTitle2,
.entrylistPosttitle>.entrylistItemTitle {
    font-family: -apple-system, BlinkMacSystemFont, "Microsoft Yahei", "Georgia", "Segoe UI", "Roboto", Helvetica, Arial, "PingFang SC", "Hiragino Sans GB", sans-serif;
}

ul.submenu {
    border-radius: 5px;
    background: rgb(230, 230, 230);
    opacity: 0.9;
    display: none;
    position: absolute;
    top: 100%;
    z-index: 1;
    width: 100px;
}

.submenu li {
    width: 100%;
    padding: 5px 0px 5px 5px;
}

#footer {
    color: #686868;
    text-align: center;
    min-height: 15px;
    _height: 15px;
    margin-top: 60px;
    line-height: 1.7;
}

.hljs-keyword,
.hljs-literal,
.hljs-built_in {
    color: blue;
}

.hljs-number {
    color: darkcyan;
}

.hljs-title {
    color: deeppink;
}

.hljs-meta-string {
    color: violet;
}

.hljs-string {
    color: darkviolet;
}




@media screen and (max-width:1024px) {
    body {
        font-size: 14px !important;
        -webkit-text-size-adjust: none
    }

    #bannerbar img {
        width: 100% !important;
        max-width: 100% !important;
        max-height: 70px
    }

    .formobile {
        display: block
    }

    .forpc {
        display: none !important
    }

    #blog_nav_rss {
        display: none !important
    }

    #blog_nav_rss_image {
        display: none !important
    }

    #blog_nav_newpost {
        display: none !important
    }

    .cnblogs-post-body img,
    .blog_comment_body img {
        max-width: 300px !important;
        height: auto
    }

    div.commentform textarea {
        min-height: 200px
    }

    .commentbox_title {
        width: auto
    }

    #green_channel {
        width: 320px
    }

    #cnblogs_post_body table[style] {
        width: auto !important;
        height: auto !important
    }

    #sidebar_search_box input[type=text] {
        width: 260px
    }

    #cnblogs_post_body table {
        display: block;
        overflow-x: scroll;
        -webkit-overflow-scrolling: regular
    }

    #cnblogs_post_body table::-webkit-scrollbar:horizontal {
        height: 12px
    }

    #cnblogs_post_body table::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
        border-radius: 10px;
        background-color: #f5f5f5
    }

    #cnblogs_post_body table::-webkit-scrollbar {
        width: 12px;
        background-color: #f5f5f5
    }

    #cnblogs_post_body table::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
        background-color: #555
    }

    #cnblogs_c1,
    #cnblogs_c2 {
        text-align: center;
        margin: 10px auto 0 auto
    }

    #cnblogs_c1 {
        width: 300px
    }

    #cnblogs_c2 {
        overflow: hidden;
        display: none
    }

    .commentform {
        margin-left: 10px
    }

    .commentbox_tab {
        width: 100%
    }

    .comment_textarea {
        width: 100%
    }

    div.commentform textarea {
        font-size: 16px
    }

    .commentbox_title_right,
    .commentbox_title_left {
        width: 100%;
        max-width: 100%;
        justify-content: space-between
    }

    .commentbox_title_right {
        padding: 8px 5px
    }

    .navbar {
        display: none
    }

    #mainContent {
        margin-left: 0;
        float: none;
        width: 100% !important;
        padding-right: 0 !important
    }

    #mainContent .forFlow {
        margin-left: 0 !important
    }

    #sideBar {
        float: none;
        width: auto;
        margin-top: 10px
    }

    #home {
        width: auto;
        min-width: 0;
        margin-left: 0 !important;
        margin-right: 0 !important
    }

    #blog_stats {
        margin-bottom: 20px
    }

    .postTitle {
        float: none
    }

    #navList a {
        width: auto
    }

    #topics .postTitle {
        width: auto
    }

    #home {
        margin: 0;
        padding: 30px !important;
    }

    #main {
        width: 100%;
    }

    #mainContent {
        width: auto;
        margin-right: 10px;
    }

    #header {
        margin: 0 0;
    }

    #blogTitle {
        margin: 0px;
    }

    ul#navList {
        margin: 10px auto 20px 0;
        width: 100%;
    }

    #blogTitle>h1 {
        margin-top: 0;
        font-size: 27px;
    }

    #navList>li {
        width: calc(100% / 4);
        max-width: 100px;
        margin: 15px 0px;
    }

    #uprightsideBar {
        top: 70px;
    }

    #sideBarContents {
        max-height: calc(100vh * 0.8 - 80px) !important;
        width: auto;
        max-width: calc(100vw - 50px);
        min-width: 200px;
    }

    #sideBarContents {}

    #sideBarTab,
    #sideBarContents {
        background: rgb(230, 230, 230, 0.9);
        border: none;
    }

    .commentform {
        margin-left: 0 !important;
    }

    #footer {
        /*display:none;*/
    }
}

/* 博客园插入视频CSS部分 */
#cnblogs_post_body .video {
    height: 0;
    padding-bottom: 56.25%;
    /* 16:9 */
    position: relative;
    width: 100%;
}

#cnblogs_post_body .video iframe {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

hr {
    background-image: repeating-linear-gradient(-45deg, #ddd, #ddd 4px, transparent 4px, transparent 8px);
    border: 0;
    height: 3px;
    margin: 40px 0
}